<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_07_addcontent() */
/* タブのスラグ haumenu_define_tab_slug_07_addcontent() */
/* $option_name 設定名 haumenu_define_option_name_07_addcontent() */
/* get_option GetOP07_addcontent() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_07_addcontent( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_addcontent';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_07_addcontent();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-top-home-scroll' => array(
			//'.home-top-button-align-wrapper',
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_07_addcontent', 20 );

/*** スライダーの高さ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_header_slide_image_height(){
//項目の追加
	add_settings_field(
		'header-slide-image-height', // 設定名
		__('height of the slider image','hima-art-utility'), // 設定タイトル
		'haumenu_header_slide_image_height', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_07_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_07_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_header_slide_image_height' );

/* 入力フォーム */
function haumenu_header_slide_image_height() {
	$set_name = haumenu_define_option_name_07_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'header-slide-image-height'; //個別配列名
?>
<label>
	<input class="transform" pattern="^[0-9]+$" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Specifies the height of the slider image in px. If blank, display at 500px','hima-art-utility'); ?></p>
</label>
<?php
}

/*** スライダーの全幅表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_header_slide_image_full_width(){
//項目の追加
	add_settings_field(
		'header-slide-image-full-width', // 設定名
		__('display image in full width','hima-art-utility'), // 設定タイトル
		'haumenu_header_slide_image_full_width', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_07_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_07_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_header_slide_image_full_width' );

/* 入力フォーム */
function haumenu_header_slide_image_full_width() {
	$set_name = haumenu_define_option_name_07_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'header-slide-image-full-width'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('When enabled, replaces the style code so that the slider image fills the screen width','hima-art-utility'); ?></p>
</label>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
<ul>
<li><?php esc_html_e('Since it is only replaced with a full width style, it may not be displayed properly depending on the layout of the site','hima-art-utility'); ?></li>
<li><?php esc_html_e('Especially when used in a block theme and placed in a group, the width of the grouped content will be the maximum width, so it is necessary to adjust it by ungrouping etc.','hima-art-utility'); ?></li>
</ul>
</div>
</details>
<?php
}

/***** 画像選択1 *****/
function haumenu_init_field_header_slide_image_upload_01(){
//項目の追加
	add_settings_field(
		'header-slide-image-upload-01', // 設定名
		__('1st image','hima-art-utility'), // 設定タイトル
		'haumenu_header_slide_image_upload_01', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_07_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_07_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_header_slide_image_upload_01' );


/* 入力フォーム */
function haumenu_header_slide_image_upload_01() {
	$set_name = haumenu_define_option_name_07_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'header-slide-image-upload-01'; //個別配列名

	if(isset($options[ $option_name ])){
		$data = $options[ $option_name ];
	}else{
		$data = '';
	}

	//現在の画像があれば表示
	if(!empty($options[ $option_name ])){
		$message_before = __('Currently registered images(','hima-art-utility');
		$message_after = __(')','hima-art-utility');
		$set_img = '<p>';
		$set_img .= $message_before;
		$set_img .= $options[ $option_name ];
		$set_img .= $message_after;
		$set_img .= '<p>';
		$set_img .= '<img src="'.$options[ $option_name ].'" style="max-width:300px;">';
	}else{
		$set_img = '';
	}

	//ボタン文字列
		$custom_uploader_text = __('Choose Image','hima-art-utility');
	//選択後（保存前）の画像上のテキスト
		$new_image_message = __('Newly selected image','hima-art-utility');
?>
<label>
	<p><?php esc_html_e('Please specify the image that is displayed first when the page is displayed','hima-art-utility'); ?></p>
</label>
<input id="<?php echo 'upload_'.esc_html($set_name).esc_html($option_name); ?>" type="text" size="36" name="<?php echo esc_html($set_name) . '[' .esc_html($option_name). ']'; ?>" value="<?php echo esc_attr($data); ?>" /> 
<input id="<?php echo 'upload_image_button_'.esc_html($set_name).esc_html($option_name); ?>" class="button" type="button" value="<?php echo esc_html($custom_uploader_text); ?>" />
<div style="margin-top:20px">
<?php echo wp_kses_post($set_img); ?>
<div id="<?php echo 'image_preview_' .esc_html($set_name).esc_html($option_name); ?>"></div>
</div>
<?php
	// JavaScriptの呼び出し
	haumenu_enqueue_image_uploader_script_url($set_name, $option_name, $custom_uploader_text, $new_image_message);
}

/***** 画像選択2 *****/
function haumenu_init_field_header_slide_image_upload_02(){
//項目の追加
	add_settings_field(
		'header-slide-image-upload-02', // 設定名
		__('2nd image','hima-art-utility'), // 設定タイトル
		'haumenu_header_slide_image_upload_02', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_07_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_07_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_header_slide_image_upload_02' );

/* 入力フォーム */
function haumenu_header_slide_image_upload_02() {
	$set_name = haumenu_define_option_name_07_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'header-slide-image-upload-02'; //個別配列名

	if(isset($options[ $option_name ])){
		$data = $options[ $option_name ];
	}else{
		$data = '';
	}

	//現在の画像があれば表示
	if(!empty($options[ $option_name ])){
		$message_before = __('Currently registered images(','hima-art-utility');
		$message_after = __(')','hima-art-utility');
		$set_img = '<p>';
		$set_img .= $message_before;
		$set_img .= $options[ $option_name ];
		$set_img .= $message_after;
		$set_img .= '<p>';
		$set_img .= '<img src="'.$options[ $option_name ].'" style="max-width:300px;">';
	}else{
		$set_img = '';
	}

	//ボタン文字列
		$custom_uploader_text = __('Choose Image','hima-art-utility');
	//選択後（保存前）の画像上のテキスト
		$new_image_message = __('Newly selected image','hima-art-utility');
?>
<label>
	<p><?php esc_html_e('Please specify the image that is displayed second when the page is displayed','hima-art-utility'); ?></p>
</label>
<input id="<?php echo 'upload_'.esc_html($set_name).esc_html($option_name); ?>" type="text" size="36" name="<?php echo esc_html($set_name) . '[' .esc_html($option_name). ']'; ?>" value="<?php echo esc_attr($data); ?>" /> 
<input id="<?php echo 'upload_image_button_'.esc_html($set_name).esc_html($option_name); ?>" class="button" type="button" value="<?php echo esc_html($custom_uploader_text); ?>" />
<div style="margin-top:20px">
<?php echo wp_kses_post($set_img); ?>
<div id="<?php echo 'image_preview_' .esc_html($set_name).esc_html($option_name); ?>"></div>
</div>
<?php
	// JavaScriptの呼び出し
	haumenu_enqueue_image_uploader_script_url($set_name, $option_name, $custom_uploader_text, $new_image_message);
}

/***** 画像選択3 *****/
function haumenu_init_field_header_slide_image_upload_03(){
//項目の追加
	add_settings_field(
		'header-slide-image-upload-03', // 設定名
		__('3rd image','hima-art-utility'), // 設定タイトル
		'haumenu_header_slide_image_upload_03', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_07_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_07_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_header_slide_image_upload_03' );


/* 入力フォーム */
function haumenu_header_slide_image_upload_03() {
	$set_name = haumenu_define_option_name_07_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'header-slide-image-upload-03'; //個別配列名

	if(isset($options[ $option_name ])){
		$data = $options[ $option_name ];
	}else{
		$data = '';
	}

	//現在の画像があれば表示
	if(!empty($options[ $option_name ])){
		$message_before = __('Currently registered images(','hima-art-utility');
		$message_after = __(')','hima-art-utility');
		$set_img = '<p>';
		$set_img .= $message_before;
		$set_img .= $options[ $option_name ];
		$set_img .= $message_after;
		$set_img .= '<p>';
		$set_img .= '<img src="'.$options[ $option_name ].'" style="max-width:300px;">';
	}else{
		$set_img = '';
	}

	//ボタン文字列
		$custom_uploader_text = __('Choose Image','hima-art-utility');
	//選択後（保存前）の画像上のテキスト
		$new_image_message = __('Newly selected image','hima-art-utility');
?>
<label>
	<p><?php esc_html_e('Please specify the image that is displayed third when the page is displayed','hima-art-utility'); ?></p>
</label>
<input id="<?php echo 'upload_'.esc_html($set_name).esc_html($option_name); ?>" type="text" size="36" name="<?php echo esc_html($set_name) . '[' .esc_html($option_name). ']'; ?>" value="<?php echo esc_attr($data); ?>" /> 
<input id="<?php echo 'upload_image_button_'.esc_html($set_name).esc_html($option_name); ?>" class="button" type="button" value="<?php echo esc_html($custom_uploader_text); ?>" />
<div style="margin-top:20px">
<?php echo wp_kses_post($set_img); ?>
<div id="<?php echo 'image_preview_' .esc_html($set_name).esc_html($option_name); ?>"></div>
</div>
<?php
	// JavaScriptの呼び出し
	haumenu_enqueue_image_uploader_script_url($set_name, $option_name, $custom_uploader_text, $new_image_message);
}